//
//  AllApplicationHttpListCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/10/28.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "AllApplicationHttpListCmd.h"
#import "AllApplicationHttpListResult.h"
static NSString *kActionUrl1 = @"/appMobile/queryReleasedAll";
//static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";
@implementation AllApplicationHttpListCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[AllApplicationHttpListCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[AllApplicationHttpListResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpAllApplicationHttpListCmd_orderby = @"orderby";
NSString *const kHttpAllApplicationHttpListCmd_pageNum = @"pageNum";
NSString *const kHttpAllApplicationHttpListCmd_pageSize = @"pageSize";
NSString *const kHttpAllApplicationHttpListCmd_sort = @"sort";
NSString *const kHttpAllApplicationHttpListCmd_filters = @"filters";
NSString *const kHttpAllApplicationHttpListCmd_value = @"value";
NSString *const kHttpAllApplicationHttpListCmd_attr = @"attr";
NSString *const kHttpAllApplicationHttpListCmd_userid = @"userid";
NSString *const kHttpAllApplicationHttpListCmd_empid = @"empid";
